﻿@model CalendarCreateEditModelStep2

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">

        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Draft'">
            <h1>
                Add {{Model.TypeCategory}}
            </h1>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Publish'">
            <h1>
                Edit {{MC.stateParams.programType}}
            </h1>
        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div ng-if="!Model.ViewCalendar">
        <h3>Program schedules</h3>

        <div class="accordion add-program-schedules" data-role="accordion">
            <div class="add-program-schedule-frame" ng-repeat="schedule in @Html.Ang(model => model.Schedules)" ng-init="scheduleIndex = $index; " ng-class="{'accordion-frame': (MC.stateParams.programType == 'Class' ? false : firstCollapsed)}">

                <a href="#" class="heading" ng-class="{hide : (MC.stateParams.programType == 'Class' ? true : !firstCollapsed)}" ng-show="schedule.StartDate && schedule.StartDate">
                    {{ formatDate(schedule.StartDate) }} - {{formatDate(schedule.EndDate)}}
                </a>

                <a href="#" class="heading" ng-class="{hide : (MC.stateParams.programType == 'Class' ? true : !firstCollapsed)}" ng-hide="schedule.StartDate && schedule.StartDate">
                    Blank
                </a>

                <div ng-show="firstCollapsed" class="toolbar transparent fg-blue no-margin schedule-action-bar place-right">
                    <button ng-click="copySchedule(schedule)"><i class="icon-copy on-left"></i>Duplicate</button>
                    <button ng-click="removeSchedule($index)" ng-show="Schedules.length != 1"><i class="icon-cancel-2 on-left"></i>Delete</button>
                </div>

                <div class="add-program-schedule-content" ng-class="{block : MC.stateParams.programType == 'Class' ? true : !firstCollapsed, 'content': (MC.stateParams.programType == 'Class' ? false : firstCollapsed)}">

                    <fieldset>

                        <div class="place-left one-third padding-right20">
                            <label class="req-star">Title</label>
                            <div @Html.AngValidationClass("Schedules['+scheduleIndex+'].Title") class="one-half input-control text" data-role="input-control">
                                <input ng-model="Model.Schedules[scheduleIndex].Title" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Title") type="text" />
                            </div>
                        </div>

                        <div class="place-right one-fifth text-right">
                            <button class="remove" ng-click="removeSchedule(scheduleIndex)" ng-show="Model.Schedules.length != 1" title="Remove schedule"><i class="jbi-remove"></i></button>
                        </div>

                    </fieldset>

                    <fieldset class="fieldset-schedule-type">

                        <span class="message">A class can meet on one or more days during a week. Each day can have its own start time and end time. </span>
                        <label class="req-star">The program meets on the following selected days</label>
                        <span class="place-right program-days-error">@Html.AngValidation("Schedules['+scheduleIndex+'].Days")</span>
                        <div class="clearfix"></div>
                        <ul class="program-week-days" ng-class="MC.stateParams.programType">
                            <li ng-repeat="day in schedule.Days" ng-init="dayIndex = $index" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].StartTime'].Messages) || MC.isEmpty(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].EndTime'].Messages)  }" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].StartTime'].Messages ? errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].StartTime'].Messages.concat(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].EndTime'].Messages) : errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].EndTime'].Messages )}}" jb-tooltip validation-error-tooltip data-html="true">
                                <input id="{{day.DayOfWeek.substring(0, 3)}}_{{scheduleIndex}}" ng-model="day.IsChecked" type="checkbox">
                                <div>
                                    <label for="{{day.DayOfWeek.substring(0, 3)}}_{{scheduleIndex}}">{{day.DayOfWeek.substring(0, 3)}}</label>
                                    <div class="start-end-time">

                                        <div class="input-control date-time" data-role="input-control">
                                            <input ng-model="day.StartTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Starts at">
                                        </div>

                                        <div class="input-control date-time" data-role="input-control">
                                            <input ng-model="day.EndTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Ends at">
                                        </div>
                                    </div>
                                </div>
                            </li>
                        </ul>

                        <div class="clearfix"></div>
                        <div class="place-left one-third padding-right20">
                            <label class="req-star">This program starts on</label>
                            <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].StartDate")>
                                <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].StartDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="Model.Schedules[scheduleIndex].StartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="setRegisterEndDate(scheduleIndex)" />
                                </div>
                            </div>
                        </div>

                        <div class="place-left one-third padding-right20">
                            <label style="visibility:hidden">.</label>
                            <div class="input-control select" data-role="input">
                                <select ng-model="schedule.SelectedContinueType" ng-options="obj.Value as obj.Text for obj in schedule.ContinueTypes"></select>
                            </div>
                        </div>

                        <div class="place-left one-third" ng-show="schedule.SelectedContinueType == 'Until'">
                            <label style="visibility:hidden">.</label>
                            <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].EndDate")>
                                <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].EndDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="Model.Schedules[scheduleIndex].EndDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>
                        </div>

                        <div class="place-left one-third" ng-show="schedule.SelectedContinueType == 'For'">
                            <label style="visibility:hidden">.</label>
                            <div class="input-control select">
                                <select ng-model="schedule.SelectedSession" ng-options="obj.Value as obj.Text for obj in schedule.Sessions"></select>
                            </div>
                        </div>
                        <div class="clearfix"></div>

                    </fieldset>

                    <fieldset>

                        <div class="place-left one-third padding-right20">
                            <label class="req-star">Session price</label>
                            <div class="one-half input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions[0].Price")>
                                <input @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions[0].Price") ng-model="Model.Schedules[scheduleIndex].Tuitions[0].Price" type="text" />
                            </div>
                        </div>

                        <div class="place-left one-third padding-right20">
                            <label>Color</label>
                            <div class="one-third input-control text" data-role="input-control">
                                <input kendo-color-picker ng-model="Model.Schedules[scheduleIndex].Tuitions[0].Color" k-buttons="false" k-preview="false" k-input="false" />
                            </div>
                        </div>

                        <div class="place-left one-third">
                            <label>Session capacity</label>
                            <div class="one-half input-control select" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Capacity")>
                                <select ng-model="schedule.Capacity" ng-options="obj.Value as obj.Text for obj in schedule.Capacities" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Capacity")></select>
                            </div>
                        </div>

                    </fieldset>

                    <fieldset>
                        <div class="place-left one-third padding-right20 margin-top20">
                            <div class="input-control checkbox" data-role="input-control">
                                <label>
                                    <input ng-model="Model.Schedules[scheduleIndex].Tuitions[0].HasEarlyBird" type="checkbox">
                                    <span class="check"></span>
                                    Do you have early bird discount?
                                </label>
                            </div>
                        </div>

                        <div class="place-left one-third padding-right20" ng-show="Model.Schedules[scheduleIndex].Tuitions[0].HasEarlyBird">
                            <label class="req-star">Prior days</label>
                            <div @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions[0].EarlyBirds[0].PriorDay") class="one-half input-control text" data-role="input-control">
                                <input @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions[0].EarlyBirds[0].PriorDay") ng-model="Model.Schedules[scheduleIndex].Tuitions[0].EarlyBirds[0].PriorDay" type="text" />
                            </div>
                        </div>

                        <div class="place-left one-third" ng-show="Model.Schedules[scheduleIndex].Tuitions[0].HasEarlyBird">
                            <label class="req-star">Early bird price</label>
                            <div @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions[0].EarlyBirds[0].Price") class="one-half input-control text price" data-sign="$" data-role="input-control">
                                <input @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions[0].EarlyBirds[0].Price") ng-model="Model.Schedules[scheduleIndex].Tuitions[0].EarlyBirds[0].Price" type="text" />
                            </div>
                        </div>

                    </fieldset>

                </div>
            </div>
        </div>

        <a class="margin-top20 button place-right" ng-click='addSchedule(Model.Schedules[0])'>Add schedule</a>

        <div class="clearfix"></div>

               <fieldset>
            <legend>Registration period</legend>
            <span class="message">You can specify the date users can start registering for this program.</span>
            <div class="one-half place-left" style="padding-right: 20px">
                <label class="req-star" for="">Registration stars on</label>
                <div class="input-control date-time" @Html.AngValidationClass("RegistrationPeriod.RegisterStartDate")>
                    <div @Html.AngTooltipValidation("RegistrationPeriod.RegisterStartDate")>
                        <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.RegistrationPeriod.RegisterStartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                    </div>
                </div>
                <p class="info font italic">Registration will open at 00:01 AM on this day</p>
            </div>

        </fieldset>

        <fieldset>
            <legend>Participant restriction</legend>
            <span class="message">You can qualify people who can register for your program based on their gender, age, and grade. The system will prevent users from registering for the program if they do not meet all the requirements.</span>

            <div class="place-left one-half padding-right20">

                <label>Gender</label>

                <div class="input-control select" data-role="input-control">
                    <select ng-model="Model.SelectedGender" ng-options="obj.Value as obj.Text for obj in Model.GenderItems"></select>
                </div>
            </div>

            <div class="place-left one-half">
                <label>Age/grade restrictions</label>

                <div class="input-control select" data-role="input-control">
                    <select ng-model="Model.SelectedRestrictionType" ng-options="obj.Value as obj.Text for obj in Model.RestrictionTypes"></select>
                </div>

                <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Age'">
                    <div class="place-left one-half" style="padding-right: 20px">
                        <label>Min age</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMinAge")>
                            <div @Html.AngTooltipValidation("SelectedMinAge")>
                                <select ng-model="Model.SelectedMinAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                            </div>
                        </div>
                    </div>
                    <div class="place-left one-half">
                        <label>Max age</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMaxAge")>
                            <div @Html.AngTooltipValidation("SelectedMaxAge")>
                                <select ng-model="Model.SelectedMaxAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                            </div>
                        </div>
                    </div>
                </div>

                <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Grade'">
                    <div class="place-left one-half" style="padding-right: 20px">
                        <label>Min grade</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMinGrade")>
                            <div @Html.AngTooltipValidation("SelectedMinGrade")>
                                <select ng-model="Model.SelectedMinGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                            </div>
                        </div>
                    </div>
                    <div class="place-left one-half">
                        <label>Max grade</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMaxGrade")>
                            <div @Html.AngTooltipValidation("SelectedMaxGrade")>
                                <select ng-model="Model.SelectedMaxGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </fieldset>
    </div>

    <div ng-if="Model.ViewCalendar">
        <div kendo-scheduler k-options="schedulerOptions" id="programScheduler">
            <span k-event-template class='custom-event'>{{dataItem.title}}</span>
            <div k-all-day-event-template class='custom-all-day-event'>{{dataItem.title}}</div>
        </div>
    </div>

    <hr />
    <a class="place-left button link large" ng-click="back()">Back</a>
    <a class="success place-right button large" ng-click="saveStep2()">Save & continue</a>
    <div class="clearfix"></div>
</div>